Subject: Re: bug#32149: 27.0.50; [elisp manual] Incorrect quoting in "Syntax Table Functions"

From: Filipp Gunbin <[email-masked]>
Date: Fri, 13 Jul 2018 23:39:28 +0300

tags 32149 notabug
close 32149
quit

On 13/07/2018 22:34 +0300, Eli Zaretskii wrote:

>> From: Filipp Gunbin <[email-masked]>
>> Date: Fri, 13 Jul 2018 22:20:00 +0300
>>
>>      The following examples apply to C mode.  (We use ‘string’ to make
>>      it easier to see the character returned by ‘char-syntax’.)
>>
>>           ;; Space characters have whitespace syntax class.
>>           (string (char-syntax ?\s))
>>                ⇒ " "
>> [..]
>>
>> I guess that ‘string’ should be "string".
>
> Why do you think so?  How is the use of "string" in the example
> different from "char-syntax", about which you didn't complain?

Oops, sorry!  I thought that was an example of quoting used below, now I
realize it's a function name :-)